<?php
/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function dizibiz_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

    // Get the color mode of the site.
    $enable_dark_mode = dizibiz_get_option( 'enable_dark_mode' );
    $is_sticky_footer = dizibiz_get_option('enable_footer_sticky');


    if ( $is_sticky_footer ) {
        $classes[] = 'site-footer-sticky';
    }
    if ( $enable_dark_mode ) {
        $classes[] = 'dizibiz-dark-mode';
    } else {
        $classes[] = 'dizibiz-light-mode';
    }

	// Get appropriate class for the sidebar layout to work
	$page_layout = dizibiz_get_page_layout();
    if('no-sidebar' != $page_layout ){
        $classes[] = 'has-sidebar '.esc_attr($page_layout);
    }else{
        $classes[] = esc_attr($page_layout);
    }

	return $classes;
}
add_filter( 'body_class', 'dizibiz_body_classes' );
