<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Dizibiz
 */

?>

<?php get_template_part('template-parts/footer/footer-widgets-full'); ?>

<?php do_action('dizibiz_before_footer'); ?>

</div><!-- .site-content-area -->

<?php
  $enable_footer_sticky = dizibiz_get_option('enable_footer_sticky');
  if($enable_footer_sticky){
      ?>
      <div class="sticky-footer-spacer"></div>
      <?php
  }
?>

<footer id="colophon" class="site-footer">
    <div class="wrapper">
        <?php get_template_part('template-parts/footer/footer-widgets'); ?>
        <?php get_template_part('template-parts/footer/footer-info'); ?>
    </div>

    <?php
    $enable_scroll_to_top = dizibiz_get_option('enable_scroll_to_top');
    if ($enable_scroll_to_top) {
    ?>
        <a id="theme-scroll-to-start" href="javascript:void(0)">
            <?php dizibiz_theme_svg('arrow-up'); ?>
        </a>
    <?php
    }
    ?>

</footer><!-- #colophon -->

<!-- Custom cursor -->
<div class="cursor-dot-outline"></div>
<div class="cursor-dot"></div>
<!-- .Custom cursor -->

<?php do_action('dizibiz_after_footer'); ?>
</div><!-- #page -->

<?php do_action('dizibiz_after_site'); ?>

<?php wp_footer(); ?>

</body>

</html>