<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Dizibiz
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">

    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<?php do_action( 'dizibiz_before_site' ); ?>

<div id="page" class="site">
  <div class="site-content-area">

    <?php get_template_part( 'template-parts/header/loader' ); ?>

    <?php get_template_part( 'template-parts/header/progressbar' ); ?>

    <a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'dizibiz'); ?></a>

    <?php do_action( 'dizibiz_before_header' ); ?>

    <?php get_template_part('template-parts/header/theme-header'); ?>

    <?php do_action( 'dizibiz_before_content' ); ?>
    <?php if (is_front_page() || is_home()) {
        
        if ( is_active_sidebar( 'fullwidth-homepage-widgetarea' )) : ?>

        <div class="theme-widgetarea theme-widgetarea-full" role="complementary">
            <?php dynamic_sidebar( 'fullwidth-homepage-widgetarea' ); ?>
        </div>

        <?php endif; ?>

    <?php } ?>
