<?php
/**
 * Default customizer values.
 *
 * @package Dizibiz
 */
if ( ! function_exists( 'dizibiz_get_default_customizer_values' ) ) :
	/**
	 * Get default customizer values.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default customizer values.
	 */
	function dizibiz_get_default_customizer_values() {

		$defaults = array();


		//Site title options
		$defaults['hide_title'] = false;
		$defaults['hide_tagline'] = false;
		$defaults['site_title_text_size'] = 39;
    $defaults['site_tagline_text_size'] = 18;

    // Header media options
    $defaults['ed_header_media_section'] = true;
    $defaults['header_banner_title'] = __('Welcome You All to DiziBiz', 'dizibiz');
    $defaults['header_banner_content'] = __('Lorem ipsum dolor sit amet consectetur adipisicing elit. Sunt, iure fugiat facere cupiditate mollitia ut praesentium laborum debitis maiores atque blanditiis aliquam recusandae odit rem labore vero deserunt! Architecto vitae, quo ipsa corrupti ', 'dizibiz');
    $defaults['header_banner_sub_image'] = '';
    $defaults['ed_social_banner_nav'] = true;
    $defaults['header_banner_button_label'] = __('Learn More','dizibiz');

    // General options
    $defaults['show_preloader'] = false;
    $defaults['preloader_style'] = 'theme-preloader-spinner-1';
    $defaults['show_progressbar']           = false;
    $defaults['progressbar_position']       = 'top';
    $defaults['progressbar_color']          = '#ea110c';

    // Top bar.
    $defaults['enable_top_bar']      = false;
    $defaults['hide_topbar_on_mobile'] = true;

    $defaults['enable_topbar_date'] = false;
    $defaults['todays_date_format'] = 'l, F j Y';

    $defaults['enable_topbar_social_icons'] = true;
    $defaults['enable_topbar_nav']        = true;

    $defaults['top_bar_bg_color'] = '#000000';

    // Header
    $defaults['header_style'] = 'header_style_1';
    $defaults['enable_top_nav'] = true;
    $defaults['enable_header_social_nav'] = true;
    $defaults['enable_search_on_header'] = true;
    $defaults['header_search_btn_style'] = 'style_1';
    $defaults['enable_border_below_header'] = false;
    $defaults['enable_mini_cart_header'] = true;
    $defaults['enable_woo_my_account'] = true;
    $defaults['enable_sticky_menu'] = true;
    
    $defaults['header_button_text'] = __('Buy Now','dizibiz');

    // Dark Mode.
    $defaults['enable_dark_mode']          = false;
    $defaults['enable_dark_mode_switcher'] = true;
    $defaults['dark_mode_accent_color']    = '#066ac6';
    $defaults['dark_mode_bg_color']        = '#1e1e1e';
    $defaults['dark_mode_text_color']        = '#fff';

    // Front Page
    $defaults['front_page_enable_sidebar'] = false;
    $defaults['hide_front_page_sidebar_mobile'] = false;
    $defaults['front_page_layout'] = 'right-sidebar';

    // archive options
    $defaults['global_sidebar_layout'] = 'right-sidebar';
    $defaults['hide_global_sidebar_mobile'] = false;
    $defaults['excerpt_length'] = 25;

    // Single options
    $defaults['single_sidebar_layout'] = 'right-sidebar';
    $defaults['hide_single_sidebar_mobile'] = false;
    $defaults['single_post_meta'] = array('author', 'date', 'comment', 'category', 'tags');
    
    $defaults['show_author_info'] = true;

    $defaults['show_related_posts'] = true;
    $defaults['related_posts_text'] = __('You May Also Like', 'dizibiz');
    $defaults['no_of_related_posts'] = 3;
    $defaults['related_posts_orderby'] = 'date';
    $defaults['related_posts_order'] = 'desc';
    $defaults['author_posts_orderby'] = 'date';
    $defaults['author_posts_order'] = 'desc';

    $defaults['show_author_posts'] = true;
    $defaults['author_posts_text'] = __('More From Author', 'dizibiz');
    $defaults['no_of_author_posts'] = 3;

    // Archive
    $defaults['archive_style'] = 'archive_style_4';
    $defaults['archive_post_meta'] = array('author', 'date', 'comment', 'category');

    // pagination
    $defaults['pagination_type'] = 'default';

    // readtime option
    $defaults['enable_read_time_option'] = true;
    $defaults['display_read_time_in'] = 'home-archive-page-both';
    $defaults['words_per_minute'] = 200;

    /*Footer*/
    $defaults['enable_copyright'] = true;
    $defaults['footer_bg_color'] = '';
    $defaults['footer_column_layout'] = 'footer_layout_1';
    $defaults['enable_footer_sticky'] = false;
    $defaults['copyright_text'] = esc_html__( 'Copyright &copy;', 'dizibiz' );
    $defaults['copyright_date_format'] = 'Y';
    $defaults['enable_footer_credit'] = true;
    $defaults['enable_footer_nav'] = false;
    $defaults['enable_footer_social_nav'] = false;
    $defaults['enable_scroll_to_top'] = true;


    $defaults = apply_filters( 'dizibiz_default_customizer_values', $defaults );
    return $defaults;
	}
endif;