<?php
$wp_customize->add_section(
    'archive_options' ,
    array(
        'title' => __( 'Archive Options', 'dizibiz' ),
        'panel' => 'dizibiz_option_panel',
    )
);

/* Global Layout*/
$wp_customize->add_setting(
    'dizibiz_options[global_sidebar_layout]',
    array(
        'default'           => $default_options['global_sidebar_layout'],
        'sanitize_callback' => 'dizibiz_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Dizibiz_Radio_Image_Control(
        $wp_customize,
        'dizibiz_options[global_sidebar_layout]',
        array(
            'label' => __( 'Global Sidebar Layout', 'dizibiz' ),
            'section' => 'archive_options',
            'choices' => dizibiz_get_general_layouts()
        )
    )
);

// Hide Side Bar on Mobile
$wp_customize->add_setting(
    'dizibiz_options[hide_global_sidebar_mobile]',
    array(
        'default'           => $default_options['hide_global_sidebar_mobile'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[hide_global_sidebar_mobile]',
    array(
        'label'       => __( 'Hide Global Sidebar on Mobile', 'dizibiz' ),
        'section'     => 'archive_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'dizibiz_section_seperator_archive_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Dizibiz_Seperator_Control(
        $wp_customize,
        'dizibiz_section_seperator_archive_1',
        array(
            'settings' => 'dizibiz_section_seperator_archive_1',
            'section' => 'archive_options',
        )
    )
);

/* Archive Style */
$wp_customize->add_setting(
    'dizibiz_options[archive_style]',
    array(
        'default'           => $default_options['archive_style'],
        'sanitize_callback' => 'dizibiz_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Dizibiz_Radio_Image_Control(
        $wp_customize,
        'dizibiz_options[archive_style]',
        array(
            'label'	=> __( 'Archive Style', 'dizibiz' ),
            'section' => 'archive_options',
            'choices' => dizibiz_get_archive_layouts()
        )
    )
);

$wp_customize->add_setting(
    'dizibiz_section_seperator_archive_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Dizibiz_Seperator_Control(
        $wp_customize,
        'dizibiz_section_seperator_archive_2',
        array(
            'settings' => 'dizibiz_section_seperator_archive_2',
            'section' => 'archive_options',
        )
    )
);

/* Archive Meta */
$wp_customize->add_setting(
    'dizibiz_options[archive_post_meta]',
    array(
        'default'           => $default_options['archive_post_meta'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox_multiple',
    )
);
$wp_customize->add_control(
    new Dizibiz_Checkbox_Multiple(
        $wp_customize,
        'dizibiz_options[archive_post_meta]',
        array(
            'label'	=> __( 'Archive Post Meta', 'dizibiz' ),
            'description'	=> __( 'Choose the post meta you want to be displayed on archive post listings.
            Some meta values may not show on front end in case of certain archive style or if post have post-formats.', 'dizibiz' ),
            'section' => 'archive_options',
            'choices' => array(
                'author' => __( 'Author', 'dizibiz' ),
                'read_time' => __( 'Post Read Time', 'dizibiz' ),
                'date' => __( 'Date', 'dizibiz' ),
                'comment' => __( 'Comment', 'dizibiz' ),
                'category' => __( 'Category', 'dizibiz' ),
                'tags' => __( 'Tags', 'dizibiz' ),
            )
        )
    )
);

$wp_customize->add_setting(
    'dizibiz_section_seperator_archive_3',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Dizibiz_Seperator_Control(
        $wp_customize,
        'dizibiz_section_seperator_archive_3',
        array(
            'settings' => 'dizibiz_section_seperator_archive_3',
            'section' => 'archive_options',
        )
    )
);

$wp_customize->add_setting('dizibiz_options[excerpt_length]',
    array(
        'default'           => $default_options['excerpt_length'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'dizibiz_sanitize_number_range',
    )
);
$wp_customize->add_control('dizibiz_options[excerpt_length]',
    array(
        'label'       => esc_html__('Excerpt Length', 'dizibiz'),
        'description'       => esc_html__( 'Max number of words. Set it to 0 to disable. (step-1)', 'dizibiz' ),
        'section'     => 'archive_options',
        'type'        => 'range',
        'input_attrs' => array(
                       'min'   => 0,
                       'max'   => 100,
                       'step'   => 1,
                    ),
    )
);
