<?php
/*Header Options*/
$wp_customize->add_section(
    'header_options' ,
    array(
        'title' => __( 'Header Options', 'dizibiz' ),
        'panel' => 'dizibiz_option_panel',
    )
);

/*Show Preloader*/
$wp_customize->add_setting(
    'dizibiz_options[show_preloader]',
    array(
        'default'           => $default_options['show_preloader'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[show_preloader]',
    array(
        'label'    => __( 'Show Preloader', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting(
    'dizibiz_options[preloader_style]',
    array(
        'default'           => $default_options['preloader_style'],
        'sanitize_callback' => 'dizibiz_sanitize_select',
    )
);
$wp_customize->add_control(
    'dizibiz_options[preloader_style]',
    array(
        'label'       => __( 'Preloader Style', 'dizibiz' ),
        'section'     => 'header_options',
        'type'        => 'select',
        'choices'     => array(
            'theme-preloader-spinner-1' => __( 'Style 1', 'dizibiz' ),
            'theme-preloader-spinner-2' => __( 'Style 2', 'dizibiz' ),
        ),
    )
);

/* Header Style */
$wp_customize->add_setting(
    'dizibiz_options[header_style]',
    array(
        'default'           => $default_options['header_style'],
        'sanitize_callback' => 'dizibiz_sanitize_radio',
    )
);
$wp_customize->add_control(
    new Dizibiz_Radio_Image_Control(
        $wp_customize,
        'dizibiz_options[header_style]',
        array(
            'label'    => __( 'Header Style', 'dizibiz' ),
            'description' => __( 'Some options related to header may not show in the front-end based on header style chosen.', 'dizibiz' ),
            'section'  => 'header_options',
            'choices' => dizibiz_get_header_layouts()
        )
    )
);

$wp_customize->add_setting(
    'dizibiz_options[header_email]',
    array(
        'default'           => '',
        'sanitize_callback' => 'dizibiz_sanitize_email',
    )
);
$wp_customize->add_control(
    'dizibiz_options[header_email]',
    array(
        'label'    => __( 'Header Email', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'email',
    )
);

$wp_customize->add_setting(
    'dizibiz_options[header_telephone]',
    array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'dizibiz_options[header_telephone]',
    array(
        'label'    => __( 'Header Telephone', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'dizibiz_options[header_button_text]',
    array(
        'default'           => $default_options['header_button_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'dizibiz_options[header_button_text]',
    array(
        'label'    => __( 'Header Button Text', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'text',
    )
); 


$wp_customize->add_setting(
    'dizibiz_options[header_button_url]',
    array(
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'dizibiz_options[header_button_url]',
    array(
        'label'    => __( 'Header Button URL', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'url',
    )
); 

$wp_customize->add_setting(
    'dizibiz_section_seperator_header_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Dizibiz_Seperator_Control(
        $wp_customize,
        'dizibiz_section_seperator_header_2',
        array(
            'settings' => 'dizibiz_section_seperator_header_2',
            'section' => 'header_options',
        )
    )
);

/*Enable Sticky Menu*/
$wp_customize->add_setting(
    'dizibiz_options[enable_sticky_menu]',
    array(
        'default'           => $default_options['enable_sticky_menu'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_sticky_menu]',
    array(
        'label'    => __( 'Enable Sticky Menu', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
    )
);

/* Sticky Bar Background Color*/
$wp_customize->add_setting(
    'dizibiz_section_seperator_header_3',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Dizibiz_Seperator_Control(
        $wp_customize,
        'dizibiz_section_seperator_header_3',
        array(
            'settings' => 'dizibiz_section_seperator_header_3',
            'section' => 'header_options',
        )
    )
);

/*Enable Search*/
$wp_customize->add_setting(
    'dizibiz_options[enable_search_on_header]',
    array(
        'default'           => $default_options['enable_search_on_header'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_search_on_header]',
    array(
        'label'    => __( 'Enable Search Icon', 'dizibiz' ),
        'section'  => 'header_options',
        'type'     => 'checkbox',
    )
);

if(class_exists( 'WooCommerce' )){
    
    /*Enable Mini Cart Icon on header*/
    $wp_customize->add_setting(
        'dizibiz_options[enable_mini_cart_header]',   
        array(
            'default'           => $default_options['enable_mini_cart_header'],
            'sanitize_callback' => 'dizibiz_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
        'dizibiz_options[enable_mini_cart_header]',
        array(
            'label'    => __( 'Enable Mini Cart Icon', 'dizibiz' ),
            'section'  => 'header_options',
            'type'     => 'checkbox',
        )
    );

    /*Enable Myaccount Link*/
    $wp_customize->add_setting(
        'dizibiz_options[enable_woo_my_account]',   
        array(
            'default'           => $default_options['enable_woo_my_account'],
            'sanitize_callback' => 'dizibiz_sanitize_checkbox',
        )
    );
    $wp_customize->add_control(
        'dizibiz_options[enable_woo_my_account]',
        array(
            'label'    => __( 'Enable My Account Icon', 'dizibiz' ),
            'section'  => 'header_options',
            'type'     => 'checkbox',
        )
    );
}