<?php
$widgets_link = admin_url( 'widgets.php' );

/*Add foooter theme option*/
$wp_customize->add_section(
    'read_time_options' ,
    array(
        'title' => __( 'Read Time Options', 'dizibiz' ),
        'panel' => 'dizibiz_option_panel',
    )
);
$wp_customize->add_setting(
    'dizibiz_options[enable_read_time_option]',
    array(
        'default'           => $default_options['enable_read_time_option'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_read_time_option]',
    array(
        'label'       => __( 'Enable Read Time Option', 'dizibiz' ),
        'section'     => 'read_time_options',
        'type'        => 'checkbox',
    )
);

/*Display read time in*/
$wp_customize->add_setting(
    'dizibiz_options[display_read_time_in]',
    array(
        'default'           => $default_options['display_read_time_in'],
        'sanitize_callback' => 'dizibiz_sanitize_select',
    )
);
$wp_customize->add_control(
    'dizibiz_options[display_read_time_in]',
    array(
        'label'       => __( 'Display Read Time', 'dizibiz' ),
        'section'     => 'read_time_options',
        'type'        => 'select',
        'choices' => array(
            'home-page-only' => __('Homepage Only', 'dizibiz'),
            'archive-page-only' => __('Archive Page Only', 'dizibiz'),
            'home-archive-page-both' => __('Home & Archive Page', 'dizibiz'),
        ),
    )
);

$wp_customize->add_setting(
    'dizibiz_options[words_per_minute]',
    array(
        'default' => $default_options['words_per_minute'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'dizibiz_options[words_per_minute]',
    array(
        'label' => __('Words Per Minute', 'dizibiz'),
        'description' => __('Number of Words per minut', 'dizibiz'),
        'section' => 'read_time_options',
        'type' => 'number',
        'input_attrs' => array('min' => 1, 'max' => 300, 'style' => 'width: 150px;'),
    )
);
