<?php
$wp_customize->remove_setting('display_header_text');
$wp_customize->remove_control('display_header_text');

$wp_customize->add_setting(
    'dizibiz_options[logo_dark_mode]',
    array(
        'default' => '',
        'sanitize_callback' => 'dizibiz_sanitize_image',
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize, 'dizibiz_options[logo_dark_mode]',
        array(
            'label'       => esc_html__('Upload Logo For Dark Mode', 'dizibiz'),
            'section' => 'title_tagline',

        )
    )
);

$wp_customize->add_setting(
    'dizibiz_options[hide_title]',
    array(
        'default' => $default_options['hide_title'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[hide_title]',
    array(
        'type' => 'checkbox',
        'label' => __( 'Hide Site Title', 'dizibiz' ),
        'section' => 'title_tagline',
        'priority' => 10,
    )
);

$wp_customize->add_setting(
    'dizibiz_options[hide_tagline]',
    array(
        'default' => $default_options['hide_tagline'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);

$wp_customize->add_control(
    'dizibiz_options[hide_tagline]',
    array(
        'type' => 'checkbox',
        'label' => __( 'Hide Tagline', 'dizibiz' ),
        'section' => 'title_tagline',
        'priority' => 10,
    )
);

/*Site title text size*/
$wp_customize->add_setting(
    'dizibiz_options[site_title_text_size]',
    array(
        'default' => $default_options['site_title_text_size'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'dizibiz_options[site_title_text_size]',
    array(
        'label' => __('Site Title Text Size', 'dizibiz'),
        'description' => __('( Default: 39px ) Changes\'re only applicable to desktop version.', 'dizibiz'),
        'section' => 'title_tagline',
        'type' => 'number',
        'input_attrs' => array('min' => 1, 'max' => 100, 'style' => 'width: 150px;'),
    )
);
$wp_customize->add_setting(
    'dizibiz_options[site_tagline_text_size]',
    array(
        'default' => $default_options['site_tagline_text_size'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'dizibiz_options[site_tagline_text_size]',
    array(
        'label' => __('Site Tagline Text Size', 'dizibiz'),
        'description' => __('( Default: 18px ) Changes\'re only applicable to desktop version.', 'dizibiz'),
        'section' => 'title_tagline',
        'type' => 'number',
        'input_attrs' => array('min' => 1, 'max' => 100, 'style' => 'width: 150px;'),
    )
);
/**/

/*Add Theme Options Panel.*/
$wp_customize->add_panel(
    'dizibiz_option_panel',
    array(
        'title' => __( 'Theme Options', 'dizibiz' ),
        'description' => __( 'Contains all theme settings', 'dizibiz'),
        'priority' => 200
    )
);
/**/


/* ========== Progressbar Section. ==========*/
$wp_customize->add_section(
    'progressbar_options',
    array(
        'title' => __( 'Progressbar Options', 'dizibiz' ),
        'panel' => 'dizibiz_option_panel',
    )
);
/*Show progressbar*/
$wp_customize->add_setting(
    'dizibiz_options[show_progressbar]',
    array(
        'default'           => $default_options['show_progressbar'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[show_progressbar]',
    array(
        'label'   => __( 'Show Progressbar', 'dizibiz' ),
        'section' => 'progressbar_options',
        'type'    => 'checkbox',
    )
);

$wp_customize->add_setting(
    'dizibiz_options[progressbar_position]',
    array(
        'default'           => $default_options['progressbar_position'],
        'sanitize_callback' => 'dizibiz_sanitize_select',
    )
);
$wp_customize->add_control(
    'dizibiz_options[progressbar_position]',
    array(
        'label'           => __( 'Progressbar Position', 'dizibiz' ),
        'section'         => 'progressbar_options',
        'type'            => 'select',
        'choices'         => array(
            'top'    => __( 'Top', 'dizibiz' ),
            'bottom' => __( 'Bottom', 'dizibiz' ),
        ),
        'active_callback' => 'dizibiz_is_progressbar_enabled',
    )
);

$wp_customize->add_setting(
    'dizibiz_options[progressbar_color]',
    array(
        'default'           => $default_options['progressbar_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'dizibiz_options[progressbar_color]',
        array(
            'label'           => __( 'Progressbar Color', 'dizibiz' ),
            'section'         => 'progressbar_options',
            'type'            => 'color',
            'active_callback' => 'dizibiz_is_progressbar_enabled',
        )
    )
);