<?php
$wp_customize->add_section(
   'topbar_options' ,
    array(
        'title' => __( 'Topbar Options', 'dizibiz' ),
        'panel' => 'dizibiz_option_panel',
    )
);

/*Enable Top Bar*/
$wp_customize->add_setting(
    'dizibiz_options[enable_top_bar]',
    array(
        'default'           => $default_options['enable_top_bar'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_top_bar]',
    array(
        'label'    => __( 'Enable Top Bar', 'dizibiz' ),
        'section'  => 'topbar_options',
        'type'     => 'checkbox',
    )
);

/*Hide Top Bar on Mobile*/
$wp_customize->add_setting(
    'dizibiz_options[hide_topbar_on_mobile]',
    array(
        'default'           => $default_options['hide_topbar_on_mobile'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[hide_topbar_on_mobile]',
    array(
        'label'    => __( 'Hide Top Bar on Mobile', 'dizibiz' ),
        'section'  => 'topbar_options',
        'type'     => 'checkbox',
        'active_callback'  => 'dizibiz_is_top_bar_enabled'
    )
);

/*Enable Today's Date*/
$wp_customize->add_setting(
    'dizibiz_options[enable_topbar_date]',
    array(
        'default'           => $default_options['enable_topbar_date'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_topbar_date]',
    array(
        'label'    => __( 'Enable Today\'s Date', 'dizibiz' ),
        'section'  => 'topbar_options',
        'type'     => 'checkbox',
        'active_callback'  => 'dizibiz_is_top_bar_enabled'
    )
);

/*Todays Date Format*/
$wp_customize->add_setting(
    'dizibiz_options[todays_date_format]',
    array(
        'default'           => $default_options['todays_date_format'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'dizibiz_options[todays_date_format]',
    array(
        'label'    => __( 'Today\'s Date Format', 'dizibiz' ),
        'description' => sprintf( wp_kses( __( '<a href="%s" target="_blank">Date and Time Formatting Documentation</a>.', 'dizibiz' ), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://wordpress.org/support/article/formatting-date-and-time' ) ),
        'section'  => 'topbar_options',
        'type'     => 'text',
        'active_callback'  =>  function( $control ) {
            return (
                dizibiz_is_top_bar_enabled( $control )
                &&
                dizibiz_is_todays_date_enabled( $control )
            );
        }
    )
);

/*Enable Top Social Nav*/
$wp_customize->add_setting(
    'dizibiz_options[enable_topbar_social_icons]',
    array(
        'default'           => $default_options['enable_topbar_social_icons'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_topbar_social_icons]',
    array(
        'label'    => __( 'Enable Top Bar Social Nav Menu', 'dizibiz' ),
        'description' => sprintf( __( 'You can add/edit social nav menu from <a href="%s">here</a>.', 'dizibiz' ), "javascript:wp.customize.control( 'nav_menu_locations[social-menu]' ).focus();" ),
        'section'  => 'topbar_options',
        'type'     => 'checkbox',
        'active_callback'  => 'dizibiz_is_top_bar_enabled'
    )
);

/*Enable Top Nav*/
$wp_customize->add_setting(
    'dizibiz_options[enable_topbar_nav]',
    array(
        'default'           => $default_options['enable_topbar_nav'],
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'dizibiz_options[enable_topbar_nav]',
    array(
        'label'    => __( 'Enable Top Bar Nav Menu', 'dizibiz' ),
        'description' => sprintf( __( 'You can add/edit top nav menu from <a href="%s">here</a>.', 'dizibiz' ), "javascript:wp.customize.control( 'nav_menu_locations[top-menu]' ).focus();" ),
        'section'  => 'topbar_options',
        'type'     => 'checkbox',
        'active_callback'  => 'dizibiz_is_top_bar_enabled'
    )
);

/*Top Bar background Color*/
$wp_customize->add_setting(
    'dizibiz_options[top_bar_bg_color]',
    array(
        'default' => $default_options['top_bar_bg_color'],
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(
    new WP_Customize_Color_Control(
        $wp_customize,
        'dizibiz_options[top_bar_bg_color]',
        array(
            'label' => __('Top Bar Background Color', 'dizibiz'),
            'section' => 'topbar_options',
            'type' => 'color',
            'active_callback'  => 'dizibiz_is_top_bar_enabled'
        )
    )
);