<?php
if (!defined('ABSPATH')) {
    exit;
}

class Dizibiz_About_Widget extends Dizibiz_Widget_Base
{
    /**
     * Sets up a new widget instance.
     *
     * @since 1.0.0
     */
    public function __construct()
    {
        $this->widget_cssclass = 'widget_dizibiz_about_posts';
        $this->widget_description = __("Displays about section with an image", 'dizibiz');
        $this->widget_id = 'dizibiz_about_posts';
        $this->widget_name = __('Dizibiz: About Section', 'dizibiz');
        $this->settings = array(
            'title' => array(
                'type' => 'text',
                'label' => __('Title', 'dizibiz'),
            ),
            'description' => array(
                'type' => 'textarea',
                'label' => __('Section Description', 'dizibiz'),
            ),
            'button_text' => array(
                'type' => 'text',
                'label' => __('Button Text', 'dizibiz'),
            ),
            'button_url' => array(
                'type' => 'url',
                'label' => __('Button URL', 'dizibiz'),
            ),
            'featured_image_1'  => array(
                'type'  => 'image',
                'label' => __('Featured Image - 1', 'dizibiz'),
            ),
            'featured_image_2'  => array(
                'type'  => 'image',
                'label' => __('Featured Image - 2', 'dizibiz'),
            ),
            'featured_image_3'  => array(
                'type'  => 'image',
                'label' => __('Featured Image - 3', 'dizibiz'),
            ),

        );
        parent::__construct();
    }

    /**
     * Output widget.
     *
     * @param array $args
     * @param array $instance
     * @see WP_Widget
     *
     */
    public function widget($args, $instance)
    {
        ob_start();
            ?>

            <div class="theme-about-us theme-block">
                <div class="wrapper">
                    <div class="column-row column-row-center">
                        <div class="column column-6 column-md-7 column-sm-12">
                            <div class="about-us-img-container">
                                <div class="data-bg" data-background='<?php echo esc_url(wp_get_attachment_image_url( $instance['featured_image_1'], 'medium' )); ?>'></div>

                                <div class="data-bg" data-background='<?php echo esc_url(wp_get_attachment_image_url( $instance['featured_image_2'], 'medium-large' )); ?>'></div>

                                <div class="data-bg" data-background='<?php echo esc_url(wp_get_attachment_image_url( $instance['featured_image_3'], 'medium' )); ?>'></div>
                            </div>
                        </div>

                        <div class="column column-6 column-md-5 column-sm-12">
                            <div class="about-us-content">
                                <h2 class="entry-title entry-title-large">
                                    <?php echo esc_html($instance['title']); ?>
                                </h2>

                                <p>
                                    <?php echo esc_html($instance['description']); ?> 
                                </p>

                                <button class="theme-primary-btn">
                                    <a href="<?php echo esc_html($instance['button_url']); ?>"> <?php echo esc_html($instance['button_text']); ?> </a>

                                </button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <?php
        echo ob_get_clean();
    }
}