<?php
if (!defined('ABSPATH')) {
    exit;
}

class Dizibiz_Contact_Widget extends Dizibiz_Widget_Base
{
    /**
     * Sets up a new widget instance.
     *
     * @since 1.0.0
     */
    public function __construct()
    {
        $this->widget_cssclass = 'widget_dizibiz_contact_posts';
        $this->widget_description = __("Displays contact section with an contact form and other details", 'dizibiz');
        $this->widget_id = 'dizibiz_contact_posts';
        $this->widget_name = __('Dizibiz: Contact Section', 'dizibiz');
        $this->settings = array(
            'title' => array(
                'type' => 'text',
                'label' => __('Title', 'dizibiz'),
            ),
            'description' => array(
                'type' => 'textarea',
                'label' => __('Section Description', 'dizibiz'),
            ),
            'phone-number' => array(
                'type' => 'text',
                'label' => __('Phone Number', 'dizibiz'),
            ),
            'email-address' => array(
                'type' => 'email',
                'label' => __('Email Address', 'dizibiz'),
            ),
            'location' => array(
                'type' => 'text',
                'label' => __('Location', 'dizibiz'),
            ),
            'contact-form-shortcode' => array(
                'type' => 'text',
                'label' => __('Contact Form Shortcode', 'dizibiz'),
            ),
        );
        parent::__construct();
    }

    /**
     * Output widget.
     *
     * @param array $args
     * @param array $instance
     * @see WP_Widget
     *
     */
    public function widget($args, $instance)
    {
        ob_start();


        ?>

        <div class="theme-contact-us theme-block">
            <div class="wrapper">
                <div class="column-row">
                    <div class="column column-7 column-md-6 column-sm-12 mb-sm-16">
                        <div class="contact-us-left">
                            <h2 class="entry-title entry-title-large">
                                <?php echo esc_html($instance['title']); ?>
                            </h2>

                            <div class="contact-form-quote">
                                <span>
                                    <?php echo esc_html($instance['description']); ?>
                                </span>
                            </div>

                            <div class="form-item-container">
                                <div class="form-detail-item">
                                    <h2 class="entry-title entry-title-small">

                                        <?php echo esc_html__('Call US', 'dizibiz') ?>
                                    </h2>

                                    <p>
                                        <?php dizibiz_theme_svg('phone'); ?> <span>
                                            <?php echo esc_html($instance['phone-number']); ?>
                                        </span>
                                    </p>
                                </div>

                                <div class="form-detail-item">
                                    <h2 class="entry-title entry-title-small">
                                        <?php echo esc_html__('Visit US', 'dizibiz') ?>
                                    </h2>

                                    <p>
                                        <?php dizibiz_theme_svg('location'); ?> <span>
                                            <?php echo esc_html($instance['location']); ?>
                                        </span>
                                    </p>
                                </div>

                                <div class="form-detail-item">
                                    <h2 class="entry-title entry-title-small">
                                        <?php echo esc_html__('Email', 'dizibiz') ?>
                                    </h2>

                                    <p>
                                        <?php dizibiz_theme_svg('email'); ?> <span>
                                            <?php echo esc_html($instance['email-address']); ?>
                                        </span>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="column column-5 column-md-6 column-sm-12">
                        <?php echo do_shortcode($instance['contact-form-shortcode']); ?>
                    </div>
                </div>
            </div>
        </div>

        <?php
        echo ob_get_clean();
    }
}