<?php
if (!defined('ABSPATH')) {
    exit;
}

class Dizibiz_Carousel_Widget extends Dizibiz_Widget_Base
{
    /**
     * Sets up a new widget instance.
     *
     * @since 1.0.0
     */
    public function __construct()
    {
        $this->widget_cssclass = 'widget_dizibiz_carousel_posts';
        $this->widget_description = __("Displays carousel section with an logo uploaded", 'dizibiz');
        $this->widget_id = 'dizibiz_carousel_posts';
        $this->widget_name = __('Dizibiz: Carousel Section', 'dizibiz');
        $this->settings = array(
            'title' => array(
                'type' => 'text',
                'label' => __('Title', 'dizibiz'),
            ),
            'description' => array(
                'type' => 'textarea',
                'label' => __('Section Description', 'dizibiz'),
            ),
            'featured_logo_1' => array(
                'type' => 'image',
                'label' => __('Featured Logo - 1', 'dizibiz'),
            ),
            'featured_logo_2' => array(
                'type' => 'image',
                'label' => __('Featured Logo - 2', 'dizibiz'),
            ),
            'featured_logo_3' => array(
                'type' => 'image',
                'label' => __('Featured Logo - 3', 'dizibiz'),
            ),
            'featured_logo_4' => array(
                'type' => 'image',
                'label' => __('Featured Logo - 4', 'dizibiz'),
            ),
            'featured_logo_5' => array(
                'type' => 'image',
                'label' => __('Featured Logo - 5', 'dizibiz'),
            ),

        );
        parent::__construct();
    }

    /**
     * Output widget.
     *
     * @param array $args
     * @param array $instance
     * @see WP_Widget
     *
     */
    public function widget($args, $instance)
    {
        ob_start();
        ?>

        <div class="theme-main-carousel theme-block">
            <div class="wrapper">
                <div class="column-row">
                    <div class="column column-12">
                        <?php if (!empty($instance['title'])) { ?>
                            <div class="theme-primary-header theme-text-center">
                                <h2 class="entry-title entry-title-large">

                                    <?php echo esc_html($instance['title']); ?>
                                </h2>
                                <?php if (!empty($instance['description'])) { ?>
                                    <p>
                                        <?php echo esc_html($instance['description']); ?>
                                    </p>
                                <?php } ?>
                            </div>
                        <?php } ?>

                        <div class="swiper main-carousel-content">
                            <div class="swiper-wrapper">
                                <?php for ($i = 1; $i <= 5; $i++) { ?>
                                    <div class="swiper-slide">
                                        <div class="data-bg data-bg-small"
                                            data-background="<?php echo esc_url(wp_get_attachment_image_url($instance['featured_logo_' . $i], 'medium-large')); ?>">
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?php
        echo ob_get_clean();
    }
}