<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dizibiz
 */

get_header();
// Add a main container in case if sidebar is present
$class = '';
$page_layout = dizibiz_get_page_layout();
if ('no-sidebar' != $page_layout) {
    $class = 'wide-max-width';
} ?>
    <main id="site-content" role="main">
        <div class="wrapper <?php echo esc_attr($class); ?>">
            <div id="primary" class="site-main">

            	<?php
            	while ( have_posts() ) :
            		the_post();

            		get_template_part( 'template-parts/content', 'page' );

            		// If comments are open or we have at least one comment, load up the comment template.
            		if ( comments_open() || get_comments_number() ) :
            			comments_template();
            		endif;

            	endwhile; // End of the loop.
            	?>

            </div><!-- #primary -->
            <?php
            if ('no-sidebar' != $page_layout) {
                get_sidebar();
            }
            ?>
        </div>
    </main>
<?php
get_footer();
