<?php

// Don't show the title if the post-format is `aside` or `status`.
$post_format = get_post_format();
if ($archive_style != 'archive_style_4') {
    if ('aside' === $post_format || 'status' === $post_format) {
        return;
    }
}

$enabled_post_meta = dizibiz_get_option('archive_post_meta');
global $post;
?>

<header class="entry-header">

    <?php if (in_array('category', $enabled_post_meta) && has_category()) : ?>
        <div class="entry-categories">
            <span class="screen-reader-text"><?php _e('Categories', 'dizibiz'); ?></span>
            <div class="dizibiz-entry-categories">
                <?php the_category(' '); ?>
            </div>
        </div><!-- .entry-categories -->
    <?php endif; ?>

    <?php the_title('<h2 class="entry-title entry-title-big"><a href="' . esc_url(get_permalink()) . '">', '</a></h2>'); ?>

    <?php if ('post' === get_post_type()) : ?>
        <div class="entry-meta">
            <?php dizibiz_post_meta_info($enabled_post_meta); ?>
        </div><!-- .entry-meta -->
    <?php endif; ?>

</header><!-- .entry-header -->
