<?php
/**
 * Displays Banner Section
 *
 * @package Dizibiz
 */
$banner_section_cat = dizibiz_get_option( 'banner_section_cat' );
$enable_banner_cat_meta = dizibiz_get_option( 'enable_banner_cat_meta' );
$enable_banner_authro_meta = dizibiz_get_option( 'enable_banner_authro_meta' );
$enable_banner_date_meta = dizibiz_get_option( 'enable_banner_date_meta' );
$featured_image = "";
?>

<section class="site-section site-banner">
    <div class="theme-banner-slider swiper-container">
        <div class="swiper-wrapper">
        <?php $banner_post_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($banner_section_cat)));
            if( $banner_post_query->have_posts() ):
                while ($banner_post_query->have_posts()): $banner_post_query->the_post(); 
                    if (has_post_thumbnail()) {
                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large');
                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; 
                    }
                    ?>
                    <div class="swiper-slide data-bg data-bg-large data-bg-overlay" data-background="<?php echo esc_url($featured_image); ?>">
                        <div class="wrapper h-100">
                            <div class="column-row h-100">
                                <div class="column-8 column-sm-12 justify-content-center align-self-center align-items-start">
                                    <div class="slider-content">
                                        <?php if ($enable_banner_cat_meta) { ?>
                                            <div class="animate__animated animate__fadeInUp animate__delay-1s">
                                                <?php  dizibiz_post_category(); ?>
                                            </div>
                                        <?php } ?>
                                        <h2 class="entry-title entry-title-large text-stroke text-white-stroke text-primary-shadow animate__animated animate__fadeInUp animate__delay-2s">
                                            <?php the_title(); ?>
                                        </h2>

                                        <div class="animate__animated animate__fadeInUp animate__delay-3s">
                                            <?php the_excerpt(); ?>
                                        </div>

                                        <div class="animate__animated animate__fadeInUp mt-4 animate__delay-4s">
                                            <?php if ($enable_banner_date_meta) { dizibiz_posted_on(); } ?>
                                            <?php if ($enable_banner_authro_meta) {  dizibiz_posted_by();} ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <?php
                endwhile; 
            wp_reset_postdata();
            endif; ?>
        </div>

        <!-- Control -->

        <div class="theme-swiper-control swiper-control">
            <div class="swiper-button-prev"></div>
            <div class="swiper-button-next"></div>
            <div class="swiper-pagination theme-swiper-pagination"></div>
        </div>

    </div>
</section>