<?php the_custom_header_markup(); ?>
<?php 
$header_banner_title = dizibiz_get_option('header_banner_title');
$header_banner_content = dizibiz_get_option('header_banner_content');
$header_banner_sub_image = dizibiz_get_option('header_banner_sub_image');
$ed_social_banner_nav = dizibiz_get_option('ed_social_banner_nav');
$header_banner_button_label = dizibiz_get_option('header_banner_button_label');
$header_banner_button_link = dizibiz_get_option('header_banner_button_link');
$ed_open_link_new_tab = dizibiz_get_option('ed_open_link_new_tab');
$header_banner_sub_class ='';
if (empty($header_banner_sub_image)) {
    $header_banner_sub_class = "header-no-sub-image";
}
?>
<div class="theme-header-content <?php echo esc_html($header_banner_sub_class); ?>">
    <div class="wrapper">
        <div class="column-row column-row-center">
            <div class="column column-6 column-sm-12 order-sm-2">
                <?php if (!empty($header_banner_title)) { ?>
                    <h2 class="entry-title entry-title-large">
                        <?php echo esc_html($header_banner_title); ?>
                    </h2>
                <?php } ?>

                <?php if (!empty($header_banner_content)) { ?>
                    <p class = 'line-clamp line-clamp-4'>
                        <?php echo esc_html($header_banner_content); ?>
                    </p>
                <?php } ?>

                <?php if (!empty($header_banner_button_label)) { ?>
                    <button class='theme-primary-btn'><a href="<?php echo esc_url($header_banner_button_link); ?>" <?php if ($ed_open_link_new_tab) {
                        echo "target='_blank'";
                    } ?> ><?php echo esc_html($header_banner_button_label); ?></a></button>
                <?php } ?>
                <?php if ($ed_social_banner_nav && has_nav_menu('social-menu')) { ?>
                    <div class="theme-social-menu">
                        <?php
                        wp_nav_menu(
                            array(
                                'theme_location' => 'social-menu',
                                'container_class' => 'site-topbar-component topbar-component-social-navigation',
                                'fallback_cb' => false,
                                'depth' => 1,
                                'menu_class' => 'theme-social-navigation theme-menu theme-topbar-navigation',
                                'link_before' => '<span>',
                                'link_after' => '</span>',
                            )
                        );
                        ?>
                    </div>
                <?php }?>
            </div>
            <?php if ($header_banner_sub_image) { ?>
                <div class="column column-6 column-sm-12 order-sm-1 mb-sm-16">
                    <div class="data-bg data-bg-large" data-background='<?php echo esc_url($header_banner_sub_image); ?>'></div>
                </div>
            <?php } ?>
        </div>
    </div>
</div>