<?php
/**
 * Displays Offcanvas menu
 *
 * @package Dizibiz
 */
?>


<div class="theme-offcanvas-panel">
    <div class="theme-offcanvas-header">
        <button id="theme-offcanvas-close" class="theme-button theme-button-transparent" aria-expanded="false">
            <span class="screen-reader-text"><?php _e( 'Close', 'dizibiz' ); ?></span>
            <?php dizibiz_theme_svg( 'close' ); ?>
        </button><!-- .nav-toggle -->
    </div>

    <div class="theme-offcanvas-content">
        <nav aria-label="<?php echo esc_attr_x( 'Mobile', 'menu', 'dizibiz' ); ?>" role="navigation">
            <ul id="theme-offcanvas-navigation" class="theme-offcanvas-menu reset-list-style">
                <?php
                if ( has_nav_menu( 'primary-menu' ) ) {
                    wp_nav_menu(
                        array(
                            'container'      => '',
                            'items_wrap'     => '%3$s',
                            'show_toggles'   => true,
                            'theme_location' => 'primary-menu',
                        )
                    );
                }
                ?>
            </ul><!-- .theme-offcanvas-navigation -->
        </nav>
    </div>
</div> <!-- theme-offcanvas-panel -->
