<?php

/**
 * Displays header site branding
 *
 * @package Dizibiz
 */

$blog_info    = get_bloginfo('name');
$description  = get_bloginfo('description', 'display');

$hide_title = dizibiz_get_option('hide_title');
$hide_tagline = dizibiz_get_option('hide_tagline');
$logo_dark_mode = dizibiz_get_option('logo_dark_mode');

$header_class = $hide_title ? 'screen-reader-text' : 'site-title';
?>
<div class="site-branding <?php if (has_custom_logo() && $blog_info) : ?>has-both-identity<?php endif; ?>">

    <?php if (has_custom_logo()) : ?>
        <div class="site-logo">
            <?php the_custom_logo(); ?>

            <?php if (!empty($logo_dark_mode)) { ?>
                <a href="<?php home_url(); ?>" class="custom-logo-link theme-logo-dark" rel="home" aria-current="page">
                    <img src="<?php echo esc_url($logo_dark_mode); ?>">
                </a>
            <?php } ?>
        </div>
    <?php endif; ?>
    <?php if (is_front_page() && is_home() && $blog_info) : ?>
        <h1 class="<?php echo esc_attr($header_class); ?>">
            <a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html($blog_info); ?></a>
        </h1>
    <?php else : ?>
        <div class="<?php echo esc_attr($header_class); ?>">
            <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
        </div>
    <?php endif; ?>
    <?php if ($description && !$hide_tagline) : ?>
        <div class="site-description">
            <?php echo $description; ?>
        </div>
    <?php endif; ?>
</div><!-- .site-branding -->