<?php

$is_sticky = dizibiz_get_option('enable_sticky_menu');
$enable_dark_mode          = dizibiz_get_option('enable_dark_mode');
$header_email          = dizibiz_get_option('header_email');
$header_telephone          = dizibiz_get_option('header_telephone');
$enable_dark_mode_switcher = dizibiz_get_option('enable_dark_mode_switcher');
$ed_header_media_section = dizibiz_get_option('ed_header_media_section');
$enable_top_bar = dizibiz_get_option('enable_top_bar');

$enable_search = dizibiz_get_option('enable_search_on_header');

?>
<div class="theme-header-sticky-element <?php echo ($is_sticky) ? 'is-sticky' : ''; ?>">
        <?php if ($enable_top_bar) { 
            get_template_part('template-parts/header/theme-topbar');
        } ?>
    <div class="wrapper">
        <div class="site-header-wrapper">
            <div class="site-header-left">
                <?php get_template_part('template-parts/header/site-branding'); ?>
            </div>

            <div class="site-header-center">
                <?php if (!empty($header_email)) { ?>
                    <div class="theme-header-info header-info-email">
                        <?php dizibiz_theme_svg('email'); ?>
                        <span><?php echo esc_html($header_email ); ?></span>
                    </div>
                <?php } ?>
                <?php if (!empty($header_telephone)) { ?>
                    <div class="theme-header-info header-info-contact">
                        <?php dizibiz_theme_svg('phone'); ?>
                        <span><?php echo esc_html($header_telephone ); ?></span>
                    </div>
                <?php } ?>
            </div>

            <div class="site-header-right">
                <?php if ($enable_dark_mode && $enable_dark_mode_switcher) : ?>
                    <button id="theme-toggle-mode-button" class="theme-button theme-button-transparent theme-button-colormode" title="<?php _e('Toggle light/dark mode', 'dizibiz'); ?>" aria-label="auto" aria-live="polite">
                        <span class="screen-reader-text"><?php _e('Switch color mode', 'dizibiz'); ?></span>
                        <svg class="svg-icon svg-icon-colormode" aria-hidden="true" width="24" height="24" viewBox="0 0 24 24">
                            <mask class="moon" id="moon-mask">
                                <rect x="0" y="0" width="100%" height="100%" fill="white" />
                                <circle cx="24" cy="10" r="6" fill="black" />
                            </mask>
                            <circle class="sun" cx="12" cy="12" r="6" mask="url(#moon-mask)" fill="currentColor" />
                            <g class="sun-beams" stroke="currentColor">
                                <line x1="12" y1="1" x2="12" y2="3" />
                                <line x1="12" y1="21" x2="12" y2="23" />
                                <line x1="4.22" y1="4.22" x2="5.64" y2="5.64" />
                                <line x1="18.36" y1="18.36" x2="19.78" y2="19.78" />
                                <line x1="1" y1="12" x2="3" y2="12" />
                                <line x1="21" y1="12" x2="23" y2="12" />
                                <line x1="4.22" y1="19.78" x2="5.64" y2="18.36" />
                                <line x1="18.36" y1="5.64" x2="19.78" y2="4.22" />
                            </g>
                        </svg>
                    </button>
                <?php endif; ?>

                <?php if ($enable_search) {  ?>
                    <button id="theme-toggle-search-button" class="theme-button theme-button-transparent theme-button-search" aria-expanded="false" aria-controls="theme-header-search">
                      <span class="screen-reader-text"><?php _e('Search', 'dizibiz'); ?></span>
                      <?php dizibiz_theme_svg('search'); ?>
                    </button>
                  <?php
                } ?>

                <button id="theme-toggle-offcanvas-button" class="theme-button theme-button-transparent theme-button-offcanvas" aria-expanded="false" aria-controls="theme-offcanvas-navigation">
                    <span class="screen-reader-text"><?php _e('Menu', 'dizibiz'); ?></span>
                    <span class="toggle-icon"><?php dizibiz_theme_svg('menu'); ?></span>
                </button>
            </div>
        </div>
    </div>
</div>

<?php if ($ed_header_media_section && !is_single() && !is_archive() && !is_page()) {
    get_template_part('template-parts/header/components/header-media');
}  ?>